Delete an SSL certificate on a gateway group
DELETE /apisix/admin/ssls/{ssl_id}
Deprecated
DELETE /apisix/admin/ssls/{ssl_id}Interactive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
ssl_id*string
The unique identifier of the SSL object.
Match
^[a-zA-Z0-9-_.]+$Length
1 <= length <= 256Query Parameters
gateway_group_id*string
Gateway group ID. Optional when using the gateway group admin key to authenticate.
Length
1 <= lengthResponse Body
application/json
application/json
curl -X DELETE "$API_BASE_URL/apisix/admin/ssls/bd58fce2-b6cc-4d2d-a53c-6ce11b19c101?gateway_group_id=86fb9981-d9d2-4555-9df8-91ae92129335"Operation completed successfully with no response body.
""Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
DELETE /apisix/admin/ssls/{ssl_id}
Delete an SSL certificate on a gateway group
IAM Action: gateway:DeleteSSLCertificate, Resource: arn:api7:gateway:gatewaygroup/%s
Parameters
ssl_id(path, string, required): The unique identifier of the SSL object.gateway_group_id(query, string, required): Gateway group ID. Optional when using the gateway group admin key to authenticate.
Responses
200: Operation completed successfully with no response body.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X DELETE '$API_BASE_URL/apisix/admin/ssls/{ssl_id}'